Bug 556184 - [abrt] crash in Miro-2.5.4-1.fc12
Summary: [abrt] crash in Miro-2.5.4-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b780f7c5
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-17 00:07 UTC by Ganapathi Kamath
Modified: 2010-09-15 05:51 UTC (History)
4 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-14 05:03:39 UTC


Attachments (Terms of Use)
File: backtrace (1.57 KB, text/plain)
2010-01-17 00:07 UTC, Ganapathi Kamath
no flags Details

Description Ganapathi Kamath 2010-01-17 00:07:21 UTC
abrt 1.0.3 detected a crash.

backtrace
-----
Summary: TBb780f7c5 layout.py:57:remove:KeyError: <miro.frontends.widgets.gtk.layout.HBox object at 0x7f8dfc115990>

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/weakconnect.py", line 49, in handle_callback
    return real_method(obj, *(args + self.user_args))
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/video.py", line 490, in on_button_press
    app.playback_manager.toggle_fullscreen()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/playback.py", line 472, in toggle_fullscreen
    self.enter_fullscreen()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/playback.py", line 475, in enter_fullscreen
    self.video_display.enter_fullscreen()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/displays.py", line 473, in enter_fullscreen
    self.renderer.enter_fullscreen()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/video.py", line 446, in enter_fullscreen
    self._make_overlay()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/video.py", line 461, in _make_overlay
    main_window.main_vbox.remove(main_window.controls_hbox)
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/layout.py", line 57, in remove
    self.children.remove(widget)
KeyError: <miro.frontends.widgets.gtk.layout.HBox object at 0x7f8dfc115990>

Local variables in innermost frame:
widget: <miro.frontends.widgets.gtk.layout.HBox object at 0x7f8dfc115990>
self: <miro.frontends.widgets.gtk.layout.VBox object at 0x7f8dfc126cd0>

cmdline: /usr/bin/python /usr/bin/miro.real
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.31.9-174.fc12.x86_64
package: Miro-2.5.4-1.fc12
uuid: b780f7c5

Comment 1 Ganapathi Kamath 2010-01-17 00:07:23 UTC
Created attachment 384870 [details]
File: backtrace

Comment 2 Alex Lancaster 2010-01-31 19:23:17 UTC
Can you reliably reproduce this?  Please describe the exact conditions that
lead to the crash.  Crash reports without detailed information describing
exactly how to reproduce the bug are almost impossible to fix.

Also were you attempting "acoustic fingerprinting" (i.e. "Scan" tracks) and do
you have picard-freeworld from RPM Fusion installed?  See:

http://musicbrainz.org/doc/Picard_FAQ#I_am_using_Fedora.2C_why_doesn.27t_acoustic_fingerprinting_work.3F

Comment 3 Alex Lancaster 2010-01-31 19:30:39 UTC
Please ignore this, it was cut and pasted from the wrong package. 

(In reply to comment #2)

> Also were you attempting "acoustic fingerprinting" (i.e. "Scan" tracks) and do
> you have picard-freeworld from RPM Fusion installed?  See:
> 
> http://musicbrainz.org/doc/Picard_FAQ#I_am_using_Fedora.2C_why_doesn.27t_acoustic_fingerprinting_work.3F

Comment 4 Alex Lancaster 2010-07-18 08:48:17 UTC
Reporter: can you still reproduce this in the current version of Miro: 3.0.2?  If not, or if I don't hear a response within 1 week, I'll close this bug.  If you can reproduce you're always free to re-open it.

Comment 5 Fedora Update System 2010-08-29 17:19:01 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 6 Fedora Update System 2010-08-29 17:26:06 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 7 Fedora Update System 2010-08-29 17:30:12 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 8 Fedora Update System 2010-08-30 19:40:45 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 9 Fedora Update System 2010-09-14 05:01:37 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-15 05:33:36 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-09-15 05:48:43 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.